
set echo on

set autotrace traceonly statistics
SELECT * FROM all_objects;
set autotrace off

set timing on

CREATE TABLE all_objects_xt
ORGANIZATION EXTERNAL
(
   TYPE ORACLE_DATAPUMP
   DEFAULT DIRECTORY xt_dir
   LOCATION ( 'all_objects_xt.dmp' )
)
AS
   SELECT *
   FROM   all_objects
   WHERE  object_name NOT LIKE 'ALL_OBJECTS%XT';

CREATE TABLE all_objects_compressed_xt
ORGANIZATION EXTERNAL
(
   TYPE ORACLE_DATAPUMP
   DEFAULT DIRECTORY xt_dir
   ACCESS PARAMETERS (COMPRESSION ENABLED)
   LOCATION ( 'all_objects_compressed_xt.dmp' )
)
AS
   SELECT *
   FROM   all_objects
   WHERE  object_name NOT LIKE 'ALL_OBJECTS%XT';

set autotrace off

host dir /od D:\Oracle\dir\ALL*.DMP

