
set echo on

CREATE TABLE all_objects_both_xt
ORGANIZATION EXTERNAL
(
   TYPE ORACLE_DATAPUMP
   DEFAULT DIRECTORY xt_dir
   ACCESS PARAMETERS (ENCRYPTION ENABLED COMPRESSION ENABLED)
   LOCATION ( 'all_objects_both_xt.dmp' )
)
AS
   SELECT *
   FROM   all_objects
   WHERE  object_name NOT LIKE 'ALL_OBJECTS%XT';

host dir /od D:\Oracle\dir\all*xt.dmp

ALTER TABLE all_objects_xt LOCATION ('all_objects_both_xt.dmp');
SELECT COUNT(*) FROM all_objects_xt;
ALTER TABLE all_objects_xt LOCATION ('all_objects_xt.dmp');

