
set echo on

BEGIN
   data_dump(
      query_in     => q'[SELECT ROWNUM AS r
                         ,      owner || '.' || object_name AS object_name
                         FROM   all_objects a
                         ,     (SELECT ROWNUM AS r
                                FROM   dual 
                                CONNECT BY ROWNUM <= 10) b]',
      file_in      => 'big_flat_file.txt',
      directory_in => 'XT_DIR'
      );
END;
/

host dir D:\Oracle\dir\big_flat_file.txt
host gzip -1 -9 D:\Oracle\dir\big_flat_file.txt 
host dir D:\Oracle\dir\big_flat_file.*
