
set echo on

DROP TABLE compressed_xt;

CREATE TABLE compressed_xt
(  rec_no      INTEGER         
,  object_name VARCHAR2(255)
)
ORGANIZATION EXTERNAL
(
  TYPE ORACLE_LOADER
  DEFAULT DIRECTORY xt_dir
  ACCESS PARAMETERS
  (
     RECORDS DELIMITED by NEWLINE
     PREPROCESSOR bin_dir: 'unzip_file.bat'
     FIELDS TERMINATED BY ','
  )
  LOCATION ('small_flat_file.txt.gz')
)
REJECT LIMIT UNLIMITED;

@5g
